{# autoload extensions if enable #}
{% if data.enable_extensions %} 
    {% for extension in data.enable_extensions %}
        {# 
            JQuery Datatables 
            http://datatables.net/
        #}
        {% if extension == "datatables" %}
            <link rel="stylesheet" href="https://cdn.datatables.net/1.13.4/css/dataTables.bootstrap5.min.css">
            <script src="https://cdn.datatables.net/v/bs5/dt-1.12.1/datatables.min.js"></script>
            <script src="https://cdn.datatables.net/buttons/2.3.6/js/dataTables.buttons.min.js"></script>
            <script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
            <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
            <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>
            <script src="https://cdn.datatables.net/buttons/2.3.6/js/buttons.html5.min.js"></script>
        
        {# 
            Sweetalert 2.0
            https://sweetalert2.github.io/
        #}
        {% elif extension == "sweetalert" %}
            <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
        

        {% endif %}
    {% endfor %}
{% endif %}

{# autoload javascript #}
{% if data.js_src %}
    <script type="module" src="{{ url_for('static', filename=data.js_src ) }}"></script>
{% endif %}